extends MeshInstance3D

var texture: AnimatedTexture


func _ready() -> void:
	var quad: QuadMesh = mesh
	var mat: StandardMaterial3D = quad.material
	texture = mat.albedo_texture


func play() -> void:
	texture.current_frame = 0
	texture.pause = false
